Name:		linux-sgx-driver
Version:	2.14
Release:	1
Summary:	Intel SGX Linux* Driver
ExclusiveArch:	x86_64
License:	BSD-3-Clause and GPL-2.0 License
URL:		https://github.com/intel/linux-sgx-driver
Source0:	https://github.com/intel/linux-sgx-driver/archive/sgx_driver_%{version}.tar.gz

BuildRequires:	gcc kernel-devel make module-init-tools glibc uname-build-checks

%define     kern_devel_ver  %(uname -r)
Requires:   kernel=%{kern_devel_ver}

%description
Intel(R) Software Guard Extensions (Intel(R) SGX) is an Intel technology for application 
developers seeking to protect select code and data from disclosure or modification.

The Linux SGX software stack is comprised of the Intel(R) SGX driver, the Intel(R) SGX 
SDK, and the Intel(R) SGX Platform Software. The Intel(R) SGX SDK and Intel(R) SGX PSW
are hosted in the linux-sgx project.

The linux-sgx-driver project hosts the out-of-tree driver for the Linux Intel(R) SGX 
software stack, which will be used until the driver upstreaming process is complete.


%prep
%autosetup -n %{name}-sgx_driver_%{version} -p1

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kern_devel_ver}/kernel/drivers/intel/sgx/
mkdir -p $RPM_BUILD_ROOT/opt/intel/sgxdriver
install isgx.ko $RPM_BUILD_ROOT/lib/modules/%{kern_devel_ver}/kernel/drivers/intel/sgx/
install License.txt $RPM_BUILD_ROOT/opt/intel/sgxdriver
install README.md $RPM_BUILD_ROOT/opt/intel/sgxdriver

%files
/lib/modules/%{kern_devel_ver}/kernel/drivers/intel/sgx/*
%attr(644, root, root) /opt/intel/sgxdriver/*

%pre

%post
/sbin/ldconfig
cat /etc/modules | grep -Fxq isgx || echo isgx >> /etc/modules
/sbin/depmod %{kern_devel_ver}
/sbin/modprobe isgx
if [ $? -ne 0 ]
then
echo "warning: kernel has been updated, please reboot system with the latest version of kernel to enable sgx!"
fi

%postun
/sbin/ldconfig
sed -i '/^isgx$/d' /etc/modules
/sbin/depmod %{kern_devel_ver}


%changelog
* Thu Nov 3 2022 zhangguangzhi <zhangguangzhi3@huawei.com> - 2.14-1
- update to 2.14

* Thu Aug 19 2021 chenmaodong <chenmaodong@huawei.com> - 2.11.5
- set the requiers of kernel version with linux-sgx-driver building environment kernel

* Thu Jul 1 2021 zhangguangzhi <zhangguangzhi3@huawei.com> - 2.11.4
- add buildrequires uname-build-checks

* Mon Dec 28 2020 chenmaodong <chenmaodong@huawei.com> - 2.11.3
- Fix compilation on 5.8 kernel

* Wed Oct 21 2020 chenmaodong <chenmaodong@huawei.com> - 2.11.2
- specify x86_64 as the building architecure

* Sat Oct 10 2020 chenmaodong <chenmaodong@huawei.com> - 2.11.1
- init


